Flutter iOS에서 Could not build the precompiled application for the device 에러 해결방법

Asked 6 months ago, Updated 6 months ago, 347 views

실제 장치에서 Flutter 코드를 실행하려고 하는데 아래와 같은 에러가 뜨는데요.

Could not build the precompiled application for the device.

Building a deployable iOS app requires a selected Development Team with a 
Provisioning Profile. Please ensure that a Development Team is selected by:
  1- Open the Flutter project's Xcode target with
       open ios/Runner.xcworkspace
  2- Select the 'Runner' project in the navigator then the 'Runner' target
     in the project settings
  3- Make sure a 'Development Team' is selected under Signing & Capabilities > Team. 
     You may need to:
         - Log in with your Apple ID in Xcode first
         - Ensure you have a valid unique Bundle ID
         - Register your device with your Apple Developer Account
         - Let Xcode automatically provision a profile for your app
  4- Build or run your project again

For more information, please visit:
  https://flutter.dev/docs/get-started/install/macos#deploy-to-ios-devices

Or run on an iOS simulator without code signing

 해결방법 아시는 분 있나요?

flutter ios

2022-05-16 13:23

1 Answers

이 문제가 발생한 경우 방금 연 프로젝트에서 이전 인증서를 사용하고 있을 수 있습니다.
Flutter 프로젝트에 올바른 인증서를 사용하고 있는지 확인하려면 command line에서 설정을 지웁니다.

fluter config --clear-ios-syslog-cert

이렇게 하면 Flutter 앱에서 새 인증서를 사용하도록 강제할 수 있습니다.

그런 다음 터미널을 다시 시작합니다.

그 다음으로 아래와 같이 Xcode 프로젝트가 프로비저닝 프로파일을 사용하고 있는지 확인합니다.

1. Xcode의 Projects / 왼쪽 패널에서 Runner를 클릭합니다.

2. Targets 아래에서 Runner를 클릭합니다.

3. 그런 다음 서명 및 기능을 클릭합니다.

4. 올바른 프로비저닝 프로파일을 선택합니다.


2022-05-16 13:26

If you have any answers or tips


© 2022 pinfo. All rights reserved.